// TaskItem.h
// Declarations for TaskItem class
// 
#pragma once

#include <string>
#include <atltime.h> // contains CTime class for accessing dates


using namespace std;

// TaskItem represents a task with a due date
class TaskItem {
	// CS1030 TODO: add any other needed member variables  here
private:
	string strDescription;	// task description (e.g. "lab6 due")
	int nYear;			// due date (year; e.g. 2006)
	int nMonth;			// due date (month; e.g. 5)
	int nDay;			// due date (day; e.g. 10)
	int tID;			// task ID; should be unique for each object
public:
	static int sortMode;		// sort options
	const static int sortByDate		= 0;	// sort by due date
	const static int sortByDesc		= 1;	// sort by Description
	TaskItem();
	TaskItem(int nID, int year, int month, int day, string strDescription );
	string getDescription();
	int getID();
	int getDay();		
	int getMonth();
	int getYear();

	// overloaded operator for comparing two TaskItems during sorting
	bool operator<(TaskItem&);
	// Use CTime::GetCurrentTime() to get current date info used in sorting by Date
	// Example:
	// CTime currentDate = CTime::GetCurrentTime();
    // CTime someDate = CTime(nYear, nMonth, nDay, 12, 0, 0);
	// CTime has a built-in operator<() for comparing CTime objects

};